Skip to main content
POST
/
v2
/
geo
/
business
/
websites
Get Websites
curl --request POST \
  --url https://api.writesonic.com/v2/geo/business/websites \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "project_id": "<string>",
  "start_date": "2023-11-07T05:31:56Z",
  "end_date": "2023-11-07T05:31:56Z",
  "order_by": [
    {
      "field": "<string>",
      "order": "asc"
    }
  ],
  "pagination": {
    "limit": 10,
    "offset": 0
  },
  "metrics": [
    "mentions_count"
  ],
  "filters": {
    "topics": {
      "condition": "AND",
      "items": [
        {
          "operator": "is",
          "value": "<unknown>"
        }
      ]
    },
    "prompts": {
      "condition": "AND",
      "items": [
        {
          "operator": "is",
          "value": "<unknown>"
        }
      ]
    },
    "tags": {
      "condition": "AND",
      "items": [
        {
          "operator": "is",
          "value": "<unknown>"
        }
      ]
    },
    "markets": {
      "condition": "AND",
      "items": [
        {
          "operator": "is",
          "value": "<unknown>"
        }
      ]
    },
    "intent": {
      "condition": "AND",
      "items": [
        {
          "operator": "is",
          "value": "<unknown>"
        }
      ]
    },
    "branded": {
      "condition": "AND",
      "items": [
        {
          "operator": "is",
          "value": "<unknown>"
        }
      ]
    },
    "platform": {
      "condition": "AND",
      "items": [
        {
          "operator": "is",
          "value": "<unknown>"
        }
      ]
    },
    "has_shopping_card": {
      "condition": "AND",
      "items": [
        {
          "operator": "is",
          "value": "<unknown>"
        }
      ]
    },
    "visibility": {
      "condition": "AND",
      "items": [
        {
          "operator": "eq",
          "value": "<unknown>"
        }
      ]
    },
    "rank": {
      "condition": "AND",
      "items": [
        {
          "operator": "eq",
          "value": "<unknown>"
        }
      ]
    },
    "website_mentioned_in_answer": {
      "condition": "AND",
      "items": [
        {
          "operator": "is",
          "value": "<unknown>"
        }
      ]
    },
    "cited_page_url": {
      "condition": "AND",
      "items": [
        {
          "operator": "is",
          "value": "<unknown>"
        }
      ]
    },
    "cited_domain": {
      "condition": "AND",
      "items": [
        {
          "operator": "is",
          "value": "<unknown>"
        }
      ]
    },
    "website_mentioned_in_citation": {
      "condition": "AND",
      "items": [
        {
          "operator": "is",
          "value": "<unknown>"
        }
      ]
    },
    "url": {
      "condition": "AND",
      "items": [
        {
          "operator": "is",
          "value": "<unknown>"
        }
      ]
    },
    "name": {
      "condition": "AND",
      "items": [
        {
          "operator": "is",
          "value": "<unknown>"
        }
      ]
    }
  }
}
'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "url": "<string>",
      "logo": "<string>",
      "created_date": "2023-12-25",
      "mentions_count": 123,
      "citation_share": 123,
      "cited_answers": [
        "<string>"
      ],
      "visibility_score": 123,
      "rank": 123
    }
  ],
  "info": {
    "total_rows": 123,
    "query": {
      "metrics": [
        "<string>"
      ],
      "start_date": "2023-11-07T05:31:56Z",
      "end_date": "2023-11-07T05:31:56Z",
      "order_by": {},
      "pagination": {},
      "filters": {}
    }
  }
}

Authorizations

X-API-KEY
string
header
required

Body

application/json

Request parameters for retrieving all websites.

project_id
string
required

Unique identifier of the project to query.

Example:

"550e8400-e29b-41d4-a716-446655440000"

start_date
string<date-time>

Start of the date range (ISO 8601). Limits results to data collected on or after this date. When omitted: defaults to the latest run's start date for metric queries, or earliest available date for list queries.

Examples:

"2026-01-01T00:00:00Z"

"2026-03-01T00:00:00Z"

end_date
string<date-time>

End of the date range (ISO 8601). Limits results to data collected on or before this date. When omitted: defaults to today. Date-only strings (no 'T') are extended to end of day.

Examples:

"2026-01-31T23:59:59Z"

"2026-03-17T23:59:59Z"

order_by
SortingOrder · object[]

Sort results by one or more fields. Each entry specifies a field name and direction. Results are sorted by the first entry, then ties broken by subsequent entries.

Examples:
[
{
"field": "visibility_score",
"order": "desc"
}
]
[
{ "field": "mention_count", "order": "desc" },
{ "field": "rank", "order": "asc" }
]
pagination
PaginationInput · object

Control result pagination. Set limit for page size and offset to skip results. Omit to return all results (use with caution on large datasets).

Examples:
{ "limit": 10, "offset": 0 }
{ "limit": 25, "offset": 50 }
metrics
enum<string>[]

Metrics to include. Options: mentions_count, citation_share, cited_answers, visibility_score, rank.

Available options:
mentions_count,
citation_share,
cited_answers,
visibility_score,
rank
Example:
["mentions_count", "visibility_score"]
filters
WebsiteFiltersInput · object

Optional filters to narrow down websites by URL or name.

Response

Successful Response

Response containing website report data.

data
WebsiteDataItem · object[]
required

Array of website data items

info
ResponseInfo · object

Information of the API request including total count and query details